X
Tap here to go to the mobile version of the site.

Support Forum

Tried to download 3.6.14, error message:disk image failed to mount due to corrupt images.

Posted

I am using Mac OSX, version 10.3.9 and Firefox 2.0.0.11. I get messages to upgrade Firefox to 3.6.14. I follow the prompts to download. When it finishes an icon appears on the desktop labeled Firefox 3.6.14.dmg. When I double click on it I get a warning message "The following disk image failed to mount, reason: corrupt image."

I am using Mac OSX, version 10.3.9 and Firefox 2.0.0.11. I get messages to upgrade Firefox to 3.6.14. I follow the prompts to download. When it finishes an icon appears on the desktop labeled Firefox 3.6.14.dmg. When I double click on it I get a warning message "The following disk image failed to mount, reason: corrupt image."

Additional System Details

This started when...

Every time I try to upgrade Firefox.

Installed Plug-ins

  • Netscape Navigator Default Plug-in
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Coupons Inc. Plugin
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • Shockwave Flash 9.0 r47
  • Java 1.3.1 Plug-in
  • Java 1.3.1 Plug-in (CFM)
  • Macromedia Shockwave for Director Netscape plug-in, version 8.5.1

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1.11) Gecko/20071127 Firefox/2.0.0.11

More Information

TonyE
  • Moderator
1044 solutions 8863 answers

Helpful Reply

The last version of Firefox that works on OS X 10.3.9 is Firefox 2.0.0.20 available from https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/

If you try to install a later version you get the error about corrupt images.

The last version of Firefox that works on OS X 10.3.9 is Firefox 2.0.0.20 available from https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/ If you try to install a later version you get the error about corrupt images.

Question owner

Thank you. That makes sense now.

Thank you. That makes sense now.